service: s3TriggerLambdaRemoveFiles

frameworkVersion: '3'

provider:
  name: aws
  runtime: nodejs16.x
  region: ap-southeast-2
  stage: dev
  deploymentBucket:
    name: bigpond-serverless-deployment
    serverSideEncryption: AES256  
  iam:
    role: arn:aws:iam::173510526870:role/S3TriggerLambdaRole  # must validly reference a role defined in your account
  vpc:
    securityGroupIds:
      - sg-0bf09b847f27ef29c
    subnetIds:
      - subnet-046f4d336cfd7071e
      - subnet-0a8e823399dcc5b1f

functions:
  handler:
    handler: index.handler
    name: s3TriggerLambdaRemoveFiles
    description: Trigger if files removed to clear table
    memorySize: 1024 # optional, in MB, default is 1024
    timeout: 300 # optional, in seconds, default is 6    